import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { getAwsAuthPlugin } from "@aws-sdk/middleware-signing";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { SetPrincipalTagAttributeMapInput, SetPrincipalTagAttributeMapResponse } from "../models/models_0";
import { deserializeAws_json1_1SetPrincipalTagAttributeMapCommand, serializeAws_json1_1SetPrincipalTagAttributeMapCommand, } from "../protocols/Aws_json1_1";
var SetPrincipalTagAttributeMapCommand = (function (_super) {
    __extends(SetPrincipalTagAttributeMapCommand, _super);
    function SetPrincipalTagAttributeMapCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    SetPrincipalTagAttributeMapCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        this.middlewareStack.use(getAwsAuthPlugin(configuration));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CognitoIdentityClient";
        var commandName = "SetPrincipalTagAttributeMapCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: SetPrincipalTagAttributeMapInput.filterSensitiveLog,
            outputFilterSensitiveLog: SetPrincipalTagAttributeMapResponse.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    SetPrincipalTagAttributeMapCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1SetPrincipalTagAttributeMapCommand(input, context);
    };
    SetPrincipalTagAttributeMapCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1SetPrincipalTagAttributeMapCommand(output, context);
    };
    return SetPrincipalTagAttributeMapCommand;
}($Command));
export { SetPrincipalTagAttributeMapCommand };
